<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__events__param__generic__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_events_param_generic_t</compoundname>
    <includes local="no">cy_ble_stack_host_main.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__events__param__generic__t_1acafe89dbbdb2159fef596cbdb3e8bae3" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_events_param_generic_t::status</definition>
        <argsstring />
        <name>status</name>
        <briefdescription>
<para>HCI error code as defined in Bluetooth 5.0 core specification, Volume 2, Part D, section 1.3. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="811" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="811" />
      </memberdef>
      <memberdef id="structcy__stc__ble__events__param__generic__t_1a3e760b1fbbf529b8a9c964aa1d62cd58" kind="variable" mutable="no" prot="public" static="no">
        <type>void *</type>
        <definition>void* cy_stc_ble_events_param_generic_t::eventParams</definition>
        <argsstring />
        <name>eventParams</name>
        <briefdescription>
<para>Event Parameter associated to event. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="814" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="814" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Generic Event parameter structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="816" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="807" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="808" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__events__param__generic__t_1a3e760b1fbbf529b8a9c964aa1d62cd58" virt="non-virtual"><scope>cy_stc_ble_events_param_generic_t</scope><name>eventParams</name></member>
      <member prot="public" refid="structcy__stc__ble__events__param__generic__t_1acafe89dbbdb2159fef596cbdb3e8bae3" virt="non-virtual"><scope>cy_stc_ble_events_param_generic_t</scope><name>status</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>